Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 633546 - dev-java/gradle-bin-6.1.1 version bump
Summary: dev-java/gradle-bin-6.1.1 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords:
: 707366 (view as bug list)
Depends on:
Blocks: CVE-2019-11065, CVE-2019-15052
  Show dependency tree
 
Reported: 2017-10-05 11:34 UTC by Diogo Pereira
Modified: 2020-04-30 23:38 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Daniel M. Weeks 2017-12-22 04:22:24 UTC
Until this hits the main tree, there are usually up-to-date versions in the junkdrawer overlay. However, they are not -bin and take a little while to build.
Comment 2 Dennis Schridde 2018-02-05 23:14:08 UTC
Version 4.5.1 is also available.
Comment 3 Dennis Schridde 2018-09-27 20:10:13 UTC
Latest version is 4.10.2, according to https://gradle.org/releases/
Comment 4 Martin Mokrejš 2019-03-25 11:18:15 UTC
This bug seems obsolete since gradle-bin-5.2.1 is already in the tree.

But, https://bugs.gentoo.org/633546#c1 seems still releavnt and it would be appreciated if Gentoo provided its own, source based package. Currently, of the 236MB downloaded just 96MB are installed (per gradle-bin-5.2.1.ebuild).
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2020-01-30 11:47:04 UTC
*** Bug 707366 has been marked as a duplicate of this bug. ***
Comment 6 Larry the Git Cow gentoo-dev 2020-04-30 23:38:38 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0c814e2c0e7b8761f63a974ffda468d6652fa6b

commit b0c814e2c0e7b8761f63a974ffda468d6652fa6b
Author:     James Le Cuirot <chewi@gentoo.org>
AuthorDate: 2020-04-30 23:37:02 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2020-04-30 23:38:21 +0000

    dev-java/gradle-bin: Bump to version 6.3 and EAPI 7
    
    Examples are no longer included but there is more documentation.
    
    Closes: https://bugs.gentoo.org/633546
    Bug: https://bugs.gentoo.org/683032
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 dev-java/gradle-bin/Manifest              |  1 +
 dev-java/gradle-bin/gradle-bin-6.3.ebuild | 49 +++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)